<script lang="ts">
import Vue from 'vue';
import { UseLiteVimeo, UseLocalizedVideoSubtitles } from '~/mixins';

export default Vue.extend({
  name: 'MicrositeVideo',
  mixins: [UseLiteVimeo, UseLocalizedVideoSubtitles],
  props: {
    data: {
      type: Object,
      required: true,
    },
    partner: {
      type: Object,
      required: false,
      default: null,
    },
  },
});
</script>

<template>
  <div :id="data.anchorId ? data.anchorId : ''" class="video-container">
    <lite-vimeo
      :videoid="getVimeoVideoId(createVideoSource(data.video_url))"
      :videotitle="data.title || 'Video player'"
      autoplay
    ></lite-vimeo>
  </div>
</template>

<style lang="scss" scoped>
.video-container {
  width: 100%;
  lite-vimeo {
    display: block;
    margin: 0 auto;
    width: 100%;
    height: 100%;
    aspect-ratio: 16 / 9;
    border: none;
  }
}
</style>
